Jump to content
Welcome to our new Citrix community!
  • 0

App Layering 1903 and 1905 - Any reason to upgrade?


Nick Panaccio

Question

It appears as though the bulk of these past two releases have just been to add support for newer VDA/PVS builds, with a few other minor things. Assuming that we're not on one of these newer builds, is there any reason to actually upgrade? No bug fixes are mentioned in the documentation, but given past history, they haven't always been noted.

 

App Layering 1903:

  • We now support TLS 1.2 secure access to LDAP directory.

 

App Layering 1905:

  • Support for:
    • The following Citrix updates:
      • Citrix Hypervisor version 8.0
      • Citrix Virtual Apps and Desktops version 7 1903
      • Citrix Virtual Apps and Desktops version 7.15 LTSR CU4
      • Citrix Provisioning version 1903
      • Citrix Provisioning version 7.15 LTSR CU4
    • Windows Server 2019 as an OS Layer.
    • Microsoft Office 2019 requires that you upgrade the App Layering machine tools. See this recipe for details.
    • Support for secure connections on the appliance, using TLS 1.2, when sending email via SMTP.
  • Hyper-V connector improvements:
    • The connector now uses BITS server to copy files to and from the appliance.
    • During file copies, progress reporting now includes the percent complete, rather than just elapsed time.
    • A CIFS file share is no longer required on the Hyper-V server. (UNI-72849)

 

P.S.: Rob, since I know you read all of these posts, your sessions at Synergy were fantastic.

Link to comment

3 answers to this question

Recommended Posts

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...